Mensagem de erro ao checar atualizações na gnome software

Estou recebendo essa mensagem de erro ao mandar a gnome software checar atualizações no sistema e gostaria de saber o que pode ser isso e como corrigir

Ubuntu 21.04

Acer Aspire E1-571-6611
Intel Core i5-2450M 2.5GH
Intel HD Graphics 3000
8GB Memória Ram DDR3
SSD Samsung 750 EVO 500GB

Bom, a “Gnome software” que você se refere não seria a Ubuntu Software Center, vulgo Snap Store? Caso afirmativo, rode no terminal, sem sudo, o seguinte o comando e nos mande o output, por favor: snap refresh

Não, é a gnome software mesmo, eu não uso a snap store por causa dos pacotes flatpak… eu trabalho com snap e flatpak. Mas farei o procedimento…

2021/04/29 09:15:25.399989 main.go:176: description of prepare-image’s “” is lowercase: “o directório de destino”
Todos os snaps atualizados.

Belê, significa que os snaps estão zero bala.
Tenta ver se foi algum “problema” com os flatpak’s então, sem sudo, abra o terminal e digite: flatpak update

Procurando por atualizações…
Nada para fazer.

Ok, vamos testar então o possível último “vilão”:
sudo apt update

sudo apt full-upgrade

sudo apt autoremove

sudo apt autoclean

Um de cada vez

junior@ubuntu:~$ sudo apt update
[sudo] senha para junior:
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://br.archive.ubuntu.com/ubuntu hirsute InRelease
Obter:3 http://br.archive.ubuntu.com/ubuntu hirsute-updates InRelease [109 kB]
Atingido:4 http://br.archive.ubuntu.com/ubuntu hirsute-backports InRelease
Atingido:5 http://ppa.launchpad.net/zorinos/stable/ubuntu focal InRelease
Atingido:6 https://debrepo.freedownloadmanager.org bionic InRelease
Atingido:7 http://security.ubuntu.com/ubuntu hirsute-security InRelease
Baixados 109 kB em 1s (114 kB/s)
Lendo listas de pacotes… Pronto
Construindo árvore de dependências… Pronto
Lendo informação de estado… Pronto
3 packages can be upgraded. Run ‘apt list --upgradable’ to see them.
junior@ubuntu:~$ sudo apt full-upgrade
Lendo listas de pacotes… Pronto
Construindo árvore de dependências… Pronto
Lendo informação de estado… Pronto
Calculando atualização… Pronto
Os pacotes a seguir serão atualizados:
bind9-dnsutils bind9-host bind9-libs
3 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 1.294 kB de arquivos.
Depois desta operação, 11,3 kB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
Obter:1 http://security.ubuntu.com/ubuntu hirsute-security/main amd64 bind9-dnsutils amd64 1:9.16.8-1ubuntu3.1 [138 kB]
Obter:2 http://security.ubuntu.com/ubuntu hirsute-security/main amd64 bind9-libs amd64 1:9.16.8-1ubuntu3.1 [1.111 kB]
Obter:3 http://security.ubuntu.com/ubuntu hirsute-security/main amd64 bind9-host amd64 1:9.16.8-1ubuntu3.1 [44,4 kB]
Baixados 1.294 kB em 2s (694 kB/s)
(Lendo banco de dados … 240580 ficheiros e directórios actualmente instalados.
)
A preparar para desempacotar …/bind9-dnsutils_1%3a9.16.8-1ubuntu3.1_amd64.deb

A descompactar bind9-dnsutils (1:9.16.8-1ubuntu3.1) sobre (1:9.16.8-1ubuntu3) …
.
A preparar para desempacotar …/bind9-libs_1%3a9.16.8-1ubuntu3.1_amd64.deb …
A descompactar bind9-libs:amd64 (1:9.16.8-1ubuntu3.1) sobre (1:9.16.8-1ubuntu3)

A preparar para desempacotar …/bind9-host_1%3a9.16.8-1ubuntu3.1_amd64.deb …
A descompactar bind9-host (1:9.16.8-1ubuntu3.1) sobre (1:9.16.8-1ubuntu3) …
Configurando bind9-libs:amd64 (1:9.16.8-1ubuntu3.1) …
Configurando bind9-host (1:9.16.8-1ubuntu3.1) …
Configurando bind9-dnsutils (1:9.16.8-1ubuntu3.1) …
A processar ‘triggers’ para man-db (2.9.4-2) …
A processar ‘triggers’ para libc-bin (2.33-0ubuntu5) …
junior@ubuntu:~$ sudo apt autoremove
Lendo listas de pacotes… Pronto
Construindo árvore de dependências… Pronto
Lendo informação de estado… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
junior@ubuntu:~$ sudo apt autoclean
Lendo listas de pacotes… Pronto
Construindo árvore de dependências… Pronto
Lendo informação de estado… Pronto

obs: eu tenho dois repositórios antigos, um ppa do zorin os, e um repositório da aplicação free download manager
obs2: eu removi o ppa do zorin os. eu só havia adicionado para testar uma extensão deles, do efeito lampada de minimizar e maximizar programas

Hmm, então aquele “erro”, posso estar equivocado. talvez seja por causa dos ppa’s. Veja se ele persistirá. Abre o Gnome Software e faz o teste. Dê preferência por atualizar pelo terminal também. Mais fácil de se trabalhar até :sweat_smile:

sudo apt update
[sudo] senha para junior:
Atingido:1 http://br.archive.ubuntu.com/ubuntu hirsute InRelease
Obter:2 http://br.archive.ubuntu.com/ubuntu hirsute-updates InRelease [109 kB]
Atingido:3 http://br.archive.ubuntu.com/ubuntu hirsute-backports InRelease
Atingido:4 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:5 http://security.ubuntu.com/ubuntu hirsute-security InRelease
Atingido:6 https://debrepo.freedownloadmanager.org bionic InRelease
Baixados 109 kB em 1s (132 kB/s)
Lendo listas de pacotes… Pronto
Construindo árvore de dependências… Pronto
Lendo informação de estado… Pronto
Todos os pacotes estão atualizados

Sumiu o erro!!
E eu nem sei o que tava causando esse erro :sweat_smile: :sweat_smile: :sweat_smile:

1 Curtida

Bom saber : )
Quando você precisar atualizar algo, como dito anteriomente, dê preferência por realizare via terminal mesmo. GUI dá umas loucuras as vezes mesmo hehe

Para Snaps
snap refresh

Para Flatpak’s
flatpak update

Para o APT
sudo apt update

sudo apt full-upgrade

sudo apt autoremove

sudo apt autoclean

Vida longa e próspera :vulcan_salute: :lizard:

eu só não sabia o comando snap de atualização, mas agora vou passar a usar mais o terminal